
From: Adrian Bunk <bunk@stusta.de>

The main Makefile is already adding -g to the CFLAGS if
CONFIG_DEBUG_INFO=y.

Not that two -g would do harm, but one works as well.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Cc: <spyro@f2s.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/arm26/Makefile |    4 ----
 1 files changed, 4 deletions(-)

diff -puN arch/arm26/Makefile~arm26-one-g-is-enough-for-everyone arch/arm26/Makefile
--- devel/arch/arm26/Makefile~arm26-one-g-is-enough-for-everyone	2005-08-19 13:33:36.000000000 -0700
+++ devel-akpm/arch/arm26/Makefile	2005-08-19 13:33:36.000000000 -0700
@@ -17,10 +17,6 @@ ifeq ($(CONFIG_FRAME_POINTER),y)
 CFLAGS		+=-fno-omit-frame-pointer -mno-sched-prolog
 endif
 
-ifeq ($(CONFIG_DEBUG_INFO),y)
-CFLAGS		+=-g
-endif
-
 CFLAGS_BOOT	:=-mapcs-26 -mcpu=arm3 -msoft-float -Uarm
 CFLAGS		+=-mapcs-26 -mcpu=arm3 -msoft-float -Uarm
 AFLAGS		+=-mapcs-26 -mcpu=arm3 -msoft-float
_
